Bug 514157 - imsettings and ibus-gtk installed when @input-methods deselected
imsettings and ibus-gtk installed when @input-methods deselected
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: 544884 (view as bug list)
Depends On:
Blocks: F12Target
  Show dependency treegraph
Reported: 2009-07-28 03:28 EDT by Jens Petersen
Modified: 2010-08-09 16:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 513782
Last Closed: 2010-08-09 16:29:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda.yum.log (153.38 KB, application/octet-stream)
2010-04-14 04:07 EDT, Akira TAGOH
no flags Details

  None (edit)
Description Jens Petersen 2009-07-28 03:28:13 EDT
I can test on rawhide later but it seems ibus and imsettings get
installed with F11 when one customizes and unchecks @input-methods.

This is somewhat strange: wondered if some multilib related code is
pulling in ibus-gtk or something like that?

+++ This bug was initially created as a clone of Bug #513782 +++

\"I just noticed this problem today : imsettings package is not in the Input Method group, resulting in it being installed even when input methods group is unselected during install in anaconda... thus, imsettings-start is launched when opening a new gnome session, but is useless.\"

--- Additional comment from petersen@redhat.com on 2009-07-27 03:33:01 EDT ---

I did a test install of F11 with @input-methods unchecked
and ibus, ibus-gtk and hence im-chooser and imsettings got

--- Additional comment from petersen@redhat.com on 2009-07-27 03:36:48 EDT ---

Created an attachment (id=355237)

default English F11 i386 install log just with Input Methods unchecked

--- Additional comment from petersen@redhat.com on 2009-07-27 03:53:36 EDT ---

... and nothing seems to require them.

--- Additional comment from petersen@redhat.com on 2009-07-27 04:58:27 EDT ---

Created an attachment (id=355249)
Comment 1 Chris Lumens 2009-07-28 11:18:06 EDT
Once rawhide's working again, can you please try a rawhide install and attach /tmp/yum.log to this bug report?  We should now have much better debugging capabilities for these sorts of issues (like seeing what packages are getting pulled in as requirements of others).
Comment 2 Akira TAGOH 2009-07-28 22:44:12 EDT
Since @input-methods are turned on by default, those packages were added to the package list once. I guess anaconda may re-evaluate the package list every time when modifying groups on the package custom selection. those is/was NOT in comps - imsettings and im-chooser has been added - so when @input-methods is turned off, it may be just kept there because anaconda doesn't have any kind of information what packages was added by turning on the group but relying on the group information in comps what kind of packages is included in?

Is it likely scenario?

Given that it's the case, adding all of packages to comps to get yum-groupremove working sounds not realistic to me. I hope it will be improved.
Comment 3 Jens Petersen 2009-10-23 04:08:39 EDT
Hmm I just reproduced with F12-Beta x86_64...
Comment 4 Chris Lumens 2009-12-22 15:30:11 EST
*** Bug 544884 has been marked as a duplicate of this bug. ***
Comment 5 Corentin Perard-Gayot 2009-12-23 08:05:23 EST
Hi all ! You can find extra info on the above-cited bug report. I was not aware that another bug was filed... sorry

I confirm no success with F12 Gold x86_64 DVD
Comment 6 Bug Zapper 2010-03-15 08:44:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
Comment 7 Chris Lumens 2010-04-12 16:50:18 EDT
Can anyone attach the information requested in comment #1?
Comment 8 Akira TAGOH 2010-04-14 04:07:21 EDT
Created attachment 406427 [details]

You mean anaconda.yum.log?

I got this with installing f13 beta without @input-methods on English locale.

Note You need to log in before you can comment on or make changes to this bug.